> ## Documentation Index
> Fetch the complete documentation index at: https://docs.getnimbus.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get NFT holding by address

> Retrieves NFT holding information for a given address, including collection details and token information



## OpenAPI

````yaml /api-reference/openapi.json get /v2/address/{address}/nft-holding
openapi: 3.0.0
info:
  title: Nimbus API
  version: 1.0.0
  description: >-
    API for Nimbus


    ## Rate Limiting

    This API implements rate limiting to ensure fair usage and protect our
    services. The current rate limit is:


    - **40 requests per 1 minute** per IP address


    If you exceed this limit, you will receive a 429 (Too Many Requests)
    response. Please wait for the rate limit window to reset before making
    additional requests.


    If you need more, please contact us at **thanhle@getnimbus.io** or TG
    **@thanhle27** to get premium API Key.
servers:
  - url: https://api.getnimbus.io
    description: API server
security: []
tags: []
paths:
  /v2/address/{address}/nft-holding:
    get:
      tags:
        - Address
      summary: Get NFT holding by address
      description: >-
        Retrieves NFT holding information for a given address, including
        collection details and token information
      parameters:
        - in: path
          name: address
          required: true
          schema:
            type: string
          example: '0x692853c81afc8f847147c8a8b4368dc894697fc12b929ef3071482d27339815e'
          description: The address to get NFT holding information for
        - in: query
          name: chain
          schema:
            type: string
            enum:
              - BTC
              - SOL
              - SUI
              - TON
              - ETH
              - FANTOM
              - RON
              - BNB
              - OP
              - AVAX
              - MATIC
              - ARB
              - BASE
              - SCROLL
              - ZKSYNC
              - ALL
          description: The blockchain to query (default is "ALL")
        - in: query
          name: includePnl
          schema:
            type: boolean
            default: false
          description: Include profit and loss information
      responses:
        '200':
          description: Successful response with NFT holding information
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/NFTHolding'
        '400':
          description: Invalid address provided
        '401':
          description: Unauthorized access for bundle addresses without owner
        '500':
          description: Internal server error
      security:
        - apiKeyAuth: []
components:
  schemas:
    NFTHolding:
      type: object
      properties:
        owner:
          type: string
          description: The owner address of the NFTs
        nativeToken:
          $ref: '#/components/schemas/NativeToken'
        collection:
          $ref: '#/components/schemas/NFTCollection'
        collectionId:
          type: string
        tokens:
          type: array
          items:
            $ref: '#/components/schemas/NFTToken'
        floorPrice:
          type: number
        marketPrice:
          type: number
        profit:
          $ref: '#/components/schemas/NFTProfit'
    NativeToken:
      type: object
      properties:
        name:
          type: string
        cmcId:
          type: number
        cmc_slug:
          type: string
        cgId:
          type: string
        symbol:
          type: string
        decimals:
          type: number
    NFTCollection:
      type: object
      properties:
        description:
          type: string
        externalUrl:
          type: string
        id:
          type: string
        imageUrl:
          type: string
        name:
          type: string
        totalItems:
          type: number
        chain:
          type: string
        verified:
          type: boolean
        scam:
          type: boolean
    NFTToken:
      type: object
      properties:
        royalty:
          type: number
        imageUrl:
          type: string
        tokenId:
          type: string
        contractAddress:
          type: string
        name:
          type: string
        rarityScore:
          type: number
        rank:
          type: string
        price:
          type: number
        cost:
          type: number
    NFTProfit:
      type: object
      properties:
        realizedPnL:
          type: number
        unrealizedPnL:
          type: number
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      in: header
      name: x-api-key
      description: API key for authentication
      x-default: nimbus-6a7c85b1-99f4-4d99-b8f3-e6e49b8daad0

````